- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- CloneMontageInfo
- DestroyMontageInfo
- GetMontageInfo
- MontageImages

# NAME

montage - Methods to Create a Montage.

# SYNOPSIS

MontageInfo * CloneMontageInfo( const ImageInfo *image_info, const MontageInfo *montage_info );

void DestroyMontageInfo( MontageInfo *montage_info );

void GetMontageInfo( const ImageInfo *image_info, MontageInfo *montage_info );

Image * MontageImages( Image *image, const MontageInfo *montage_info, ExceptionInfo *exception );

# FUNCTION DESCRIPTIONS

## CloneMontageInfo

Method CloneMontageInfo makes a duplicate of the given montage info, or if montage info is NULL, a new one.

The format of the CloneMontageInfo method is:

> MontageInfo *CloneMontageInfo ( const ImageInfo *image_info, const MontageInfo *montage_info );

A description of each parameter follows:

clone_info:
  Method CloneMontageInfo returns a duplicate of the given annotate info, or if annotate info is NULL a new one.

image_info:
  a structure of type ImageInfo.

montage_info:
  a structure of type MontageInfo.

## DestroyMontageInfo

Method DestroyMontageInfo deallocates memory associated with an MontageInfo structure.

The format of the DestroyMontageInfo method is:

> void DestroyMontageInfo ( MontageInfo *montage_info );

A description of each parameter follows:

montage_info:
  Specifies a pointer to an MontageInfo structure.

## GetMontageInfo

Method GetMontageInfo initializes the MontageInfo structure.

The format of the GetMontageInfo method is:

> void GetMontageInfo ( const ImageInfo *image_info, MontageInfo *montage_info );

A description of each parameter follows:

image_info:
  a structure of type ImageInfo.

montage_info:
  Specifies a pointer to a MontageInfo structure.

## MontageImages

Method MontageImages creates a composite image by combining several separate images.

The format of the MontageImages method is:

> Image *MontageImages ( Image *image, const MontageInfo *montage_info, ExceptionInfo *exception );

A description of each parameter follows:

image:
  Specifies a pointer to an array of Image structures.

montage_info:
  Specifies a pointer to a MontageInfo structure.

exception:
  return any errors or warnings in this structure.